Skip to content

Delete a wage determination

Crew module

DELETE/wage-determinations/{id}wageDeterminations.delete

A prevailing wage determination by jurisdiction. Soft-deletes the wage determination: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability crew.rate_card.write.
  • OAuth scopes: crew.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

wageDeterminations.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the wage determination.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/wage-determinations/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.wageDeterminations.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.wage_determinations.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos wage-determinations delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f